var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>About Python in 3ds Max</title>\n\
   <meta name=\"contextid\" content=\"idh_python\"><meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>About Python in 3ds Max</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"about-python-in-3ds-max\"></a></div>\n\
<p>3ds Max supports the development of Python-based tools and extensions so it can be customized and integrated into modern digital content creation pipelines. To enable this, 3ds Max integrates the Python 3.7 interpreter, and exposes 3ds Max&#39;s rich functionality through the pymxs API. In addition, user interfaces for Python-based tools can be created using the included PySide2 framework.</p>\n\
<div class=\'section\'><a id=\"python-3\"></a><h2 id=\"python-3\">Python 3</h2></div>\n\
<p>3ds Max includes a standard version of Python 3.7, located under <em>[3ds Max Install]\\Python37</em>. You can use standard, pre-compiled extension libraries with this version of Python.</p>\n\
<div class=\'section\'><a id=\"python-2\"></a><h2 id=\"python-2\">Python 2</h2></div>\n\
<p>Python 2 was declared end of life on January 1, 2020, and is no longer supported. It is no longer available as an interpreter option in 3ds Max 2022.</p>\n\
<div class=\'section\'><a id=\"pyside2\"></a><h2 id=\"pyside2\">Pyside2</h2></div>\n\
<p>A pre-compiled version of PySide2 (also known as &quot;Qt For Python&quot;) is installed with 3ds Max, and this is the preferred method for building UIs with Python. See <a href=\'#!/url=./developer/creating_python_uis.html\' title=\'\'>Creating Python UIs</a> for more information.</p>\n\
<div class=\'section\'><a id=\"ds-max-python-api\"></a><h2 id=\"ds-max-python-api\">3ds Max Python API</h2></div>\n\
<p>3ds Max offers the pymxs API, a Python wrapper for MAXScript, to help you to extend and customize 3ds Max, and more easily integrate it into a Python-based pipeline.</p>\n\
<p>The pymxs module contains a runtime member that provides access to the interfaces, functions, structures, objects, properties, and variables in the MAXScript environment, whether they are built in or defined by the user. This guide contains some examples of how to translate between MAXScript syntax and Python, but for a comprehensive list of everything available, see the MAXScript Help. For more information about pymxs see <a href=\'#!/url=./developer/using_pymxs.html\' title=\'\'>Using pymxs</a>.</p>\n\
<blockquote>\n\
<p>Note: As of 3ds Max 2022, MaxPlus is no longer included as a Python API for 3ds Max.</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";