var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Executing Python in 3ds Max</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Executing Python in 3ds Max</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"executing-python-in-3ds-max\"></a></div>\n\
<p>There are many ways to execute Python scripts and commands in 3ds Max.</p>\n\
<!-- TOC -->\n\
<ul>\n\
<li><a href=\'executing_python.html#executing-python-in-the-maxscript-editor-and-listener\' title=\'\'>Executing Python in the MAXScript Editor and Listener</a></li>\n\
<li><a href=\'executing_python.html#executing-python-scripts-from-the-command-line\' title=\'\'>Executing Python scripts from the command line</a></li>\n\
</ul>\n\
<!-- /TOC -->\n\
<div class=\'section\'><a id=\"executing-python-in-the-maxscript-editor-and-listener\"></a><h2 id=\"executing-python-in-the-maxscript-editor-and-listener\">Executing Python in the MAXScript Editor and Listener</h2></div>\n\
<p>You can write and execute Python scripts in the MAXScript Editor, and run Python commands in the Max Listener window.</p>\n\
<p>The MAXScript Editor supports Python language syntax highlighting and code completion for imported libraries. By default, the MAXScript Editor is set to MAXScript syntax when it first opens. Select Language &gt; Python to change this to Python.</p>\n\
<p>Code completion is invoked when you type a symbol and dot, or can be force-invoked by pressing <em>Ctrl+Space</em>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-531582F1-98D8-410B-A529-B8D06105225D-low.png\' title=\'\'></div>\n\
<p>Python scripts can be evaluated from the Editor using Tools &gt; Evaluate All (Ctrl+E), and a single line can be executed using Tools &gt; Evaluate Line / Selection (Shift+Enter). Note, to execute multi-line code blocks, select the block before executing this command.</p>\n\
<blockquote>\n\
<p><strong>Note:</strong> Some special attributes (specifically <span class=\'code\'>__name__</span>) and source code encoding declarations (<span class=\'code\'>\\# -*- coding: &lt;encoding name&gt; -*-</span>, defined in PEP 0263) cannot be handled when a script is executed directly from the MAXScript Editor (using <em>Tools &gt; Evaluate All</em>, Ctrl+E) or in the MAXScript Listener. Scripts that use these must be run from the <em>Scripting &gt; Run Script...</em> command to execute properly. The <em>Run Script</em> command runs the file directly in the Python interpreter, while the <em>Evaluate</em> command runs the contents of the file.</p>\n\
</blockquote>\n\
<p>You can edit one or more scripts side-by-side by dragging the document tab, and selecting &quot;Clone to another view&quot; or &quot;Move to another view&quot;. This can be useful when editing very long scripts or comparing two scripts.</p>\n\
<p>For more information about the MAXScript Editor&#39;s use and features, see Basics &gt; Interface Overview &gt; MAXScript Interface in the 3ds Max Help.</p>\n\
<p>The MAXScript Listener can execute single and multi-line Python commands when in Python mode. Python mode is indicated by a command-line starting with three brackets: &gt;&gt;&gt;. To switch to Python mode, select the Python radio button, or enter three angle brackets and a space. To execute a command, type the command and press Enter to type more lines, or Ctrl+Enter to execute the code.</p>\n\
<p>The MAXScript Mini Listener can execute a single line Python command when the Listener is in Python mode. Commands are executed by pressing Enter.</p>\n\
<div class=\'section\'><a id=\"executing-python-scripts-from-the-command-line\"></a><h2 id=\"executing-python-scripts-from-the-command-line\">Executing Python scripts from the command line</h2></div>\n\
<p>You can execute Python scripts from the command line, using the currently enabled Python interpreter. Python 3 is enabled by default, but you can enable Python 2. See <a href=\'#!/url=./developer/python_3_support.html\' title=\'\'>Python 3 Support</a> for information.</p>\n\
<p>To execute a .py script from the command line:</p>\n\
<ol>\n\
<li>Open a Command Prompt window.</li>\n\
<li>Navigate to your 3ds Max root directory, if this directory is not in your PATH statement.</li>\n\
<li>Type <em>3dsmax</em> to start 3ds Max and add the <span class=\'code\'>-U PythonHost</span> command line switch, for example as follows: 3dsmax -U PythonHost demoBentCylinder.py</li>\n\
</ol>\n\
<p>You can also execute Python scripts using 3ds Max Batch: <span class=\'code\'>3dsmaxbatch.exe &lt;script_file&gt; [options]</span>. See the &quot;Using 3ds Max Batch&quot; topic in the 3ds Max Help for more information.</p>\n\
<p><strong>Note</strong> See <a href=\'#!/url=./developer/executing_python/executing_python_from_maxscript.html\' title=\'\'>Executing Python from MAXScript</a> for a list of directories under which 3ds Max will look for the <span class=\'code\'>.py</span> file.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";