var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Notification Codes</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Notification Codes</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"notification-codes\"></a></div>\n\
<p>This topic summarizes the correspondence between notification codes defined in <span class=\'code\'>MaxPlus::NotificationCodes</span> and those in <span class=\'code\'>pymxs.runtime.callbacks</span>. This information is useful for translating scripts from one approach to the other. Some events have similar or identical names, but others are not obvious (such as ScenePreDeletedNode vs nodePreDelete).</p>\n\
<p>For more information about the <span class=\'code\'>pymxs.runtime.callbacks</span> event types and how to use them, see the &#39;General Event Callback Mechanism&#39; topic in the <em>MAXScript Help</em>.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">MaxPlus</th>\n\
<th align=\"left\"></th>\n\
<th align=\"left\">MAXScript Event Name</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">UnitsChange</td>\n\
<td align=\"left\">1</td>\n\
<td align=\"left\">unitsChange</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">TimeunitsChange</td>\n\
<td align=\"left\">2</td>\n\
<td align=\"left\">timeunitsChange</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ViewportChange</td>\n\
<td align=\"left\">3</td>\n\
<td align=\"left\">viewportChange</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">SpacemodeChange</td>\n\
<td align=\"left\">4</td>\n\
<td align=\"left\">spacemodeChange</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">SystemPreReset</td>\n\
<td align=\"left\">5</td>\n\
<td align=\"left\">systemPreReset</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">SystemPostReset</td>\n\
<td align=\"left\">6</td>\n\
<td align=\"left\">systemPostReset</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">SystemPreNew</td>\n\
<td align=\"left\">7</td>\n\
<td align=\"left\">systemPreNew</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">SystemPostNew</td>\n\
<td align=\"left\">8</td>\n\
<td align=\"left\">systemPostNew</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">FilePreOpen</td>\n\
<td align=\"left\">9</td>\n\
<td align=\"left\">filePreOpen</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">FilePostOpen</td>\n\
<td align=\"left\">10</td>\n\
<td align=\"left\">filePostOpen</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">FilePreMerge</td>\n\
<td align=\"left\">11</td>\n\
<td align=\"left\">filePreMerge</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">FilePostMerge</td>\n\
<td align=\"left\">12</td>\n\
<td align=\"left\">filePostMerge</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">FilePreSave</td>\n\
<td align=\"left\">13</td>\n\
<td align=\"left\">filePreSave</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">FilePostSave</td>\n\
<td align=\"left\">14</td>\n\
<td align=\"left\">filePostSave</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">FileOpenFailed</td>\n\
<td align=\"left\">15</td>\n\
<td align=\"left\">fileOpenFailed</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">FilePreSaveOld</td>\n\
<td align=\"left\">16</td>\n\
<td align=\"left\">filePreSaveOld</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">FilePostSaveOld</td>\n\
<td align=\"left\">17</td>\n\
<td align=\"left\">filePostSaveOld</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">SelectionsetChanged</td>\n\
<td align=\"left\">18</td>\n\
<td align=\"left\">selectionSetChanged</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">BitmapChanged</td>\n\
<td align=\"left\">19</td>\n\
<td align=\"left\">bitmapChanged</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PreRender</td>\n\
<td align=\"left\">20</td>\n\
<td align=\"left\">preRender</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PostRender</td>\n\
<td align=\"left\">21</td>\n\
<td align=\"left\">postRender</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PreRenderframe</td>\n\
<td align=\"left\">22</td>\n\
<td align=\"left\">preRenderFrame</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PostRenderframe</td>\n\
<td align=\"left\">23</td>\n\
<td align=\"left\">postRenderFrame</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PreImport</td>\n\
<td align=\"left\">24</td>\n\
<td align=\"left\">preImport</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PostImport</td>\n\
<td align=\"left\">25</td>\n\
<td align=\"left\">postImport</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ImportFailed</td>\n\
<td align=\"left\">26</td>\n\
<td align=\"left\">importFailed</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PreExport</td>\n\
<td align=\"left\">27</td>\n\
<td align=\"left\">preExport</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PostExport</td>\n\
<td align=\"left\">28</td>\n\
<td align=\"left\">postExport</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ExportFailed</td>\n\
<td align=\"left\">29</td>\n\
<td align=\"left\">exportFailed</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">NodeRenamed</td>\n\
<td align=\"left\">30</td>\n\
<td align=\"left\">nodeRenamed</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PreProgress</td>\n\
<td align=\"left\">31</td>\n\
<td align=\"left\">preProgress</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PostProgress</td>\n\
<td align=\"left\">32</td>\n\
<td align=\"left\">postProgress</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ModpanelSelChanged</td>\n\
<td align=\"left\">33</td>\n\
<td align=\"left\">modPanelSelChanged</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">RendparamChanged</td>\n\
<td align=\"left\">35</td>\n\
<td align=\"left\">renderParamsChanged</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">MatlibPreOpen</td>\n\
<td align=\"left\">36</td>\n\
<td align=\"left\">mtlLibPreOpen / matLibPreOpen</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">MatlibPostOpen</td>\n\
<td align=\"left\">37</td>\n\
<td align=\"left\">mtlLibPostOpen / matLibPostOpen</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">MatlibPreSave</td>\n\
<td align=\"left\">38</td>\n\
<td align=\"left\">mtlLibPreSave / matLibPreSave</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">MatlibPostSave</td>\n\
<td align=\"left\">39</td>\n\
<td align=\"left\">mtlLibPostSave / matLibPostSave</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">MatlibPreMerge</td>\n\
<td align=\"left\">40</td>\n\
<td align=\"left\">mtlLibPreMerge / matLibPreMerge</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">MatlibPostMerge</td>\n\
<td align=\"left\">41</td>\n\
<td align=\"left\">mtlLibPostMerge / matLibPostMerge</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">FilelinkBindFailed</td>\n\
<td align=\"left\">42</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">FilelinkDetachFailed</td>\n\
<td align=\"left\">43</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">FilelinkReloadFailed</td>\n\
<td align=\"left\">44</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">FilelinkAttachFailed</td>\n\
<td align=\"left\">45</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">FilelinkPreBind</td>\n\
<td align=\"left\">48</td>\n\
<td align=\"left\">fileLinkPreBind</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">FilelinkPostBind</td>\n\
<td align=\"left\">49</td>\n\
<td align=\"left\">fileLinkPostBind</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">FilelinkPreDetach</td>\n\
<td align=\"left\">50</td>\n\
<td align=\"left\">fileLinkPreDetatch</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">FilelinkPostDetach</td>\n\
<td align=\"left\">51</td>\n\
<td align=\"left\">fileLinkPostDetatch</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">FilelinkPreReload</td>\n\
<td align=\"left\">52</td>\n\
<td align=\"left\">fileLinkPreReload</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">FilelinkPostReload</td>\n\
<td align=\"left\">53</td>\n\
<td align=\"left\">fileLinkPostReload</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">FilelinkPreAttach</td>\n\
<td align=\"left\">54</td>\n\
<td align=\"left\">fileLinkPreAttach</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">FilelinkPostAttach</td>\n\
<td align=\"left\">55</td>\n\
<td align=\"left\">fileLinkPostAttach</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">RenderPreeval</td>\n\
<td align=\"left\">57</td>\n\
<td align=\"left\">preRenderEval</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">NodeCreated</td>\n\
<td align=\"left\">58</td>\n\
<td align=\"left\">nodeCreated</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">NodeLinked</td>\n\
<td align=\"left\">59</td>\n\
<td align=\"left\">nodeLinked</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">NodeUnlinked</td>\n\
<td align=\"left\">60</td>\n\
<td align=\"left\">nodeUnlinked</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">NodeHide</td>\n\
<td align=\"left\">61</td>\n\
<td align=\"left\">nodeHide</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">NodeUnhide</td>\n\
<td align=\"left\">62</td>\n\
<td align=\"left\">nodeUnhide</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">NodeFreeze</td>\n\
<td align=\"left\">63</td>\n\
<td align=\"left\">nodeFreeze</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">NodeUnfreeze</td>\n\
<td align=\"left\">64</td>\n\
<td align=\"left\">nodeUnfreeze</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">NodePreMtl</td>\n\
<td align=\"left\">65</td>\n\
<td align=\"left\">nodePreMaterial</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">NodePostMtl</td>\n\
<td align=\"left\">66</td>\n\
<td align=\"left\">nodePostMaterial</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">SceneAddedNode</td>\n\
<td align=\"left\">67</td>\n\
<td align=\"left\">sceneNodeAdded</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ScenePreDeletedNode</td>\n\
<td align=\"left\">68</td>\n\
<td align=\"left\">nodePreDelete</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ScenePostDeletedNode</td>\n\
<td align=\"left\">69</td>\n\
<td align=\"left\">nodePostDelete</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">SelNodesPreDelete</td>\n\
<td align=\"left\">70</td>\n\
<td align=\"left\">selectedNodesPreDelete / selNodesPreDelete</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">SelNodesPostDelete</td>\n\
<td align=\"left\">71</td>\n\
<td align=\"left\">selectedNodesPostDelete / selNodesPostDelete</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">WmEnable</td>\n\
<td align=\"left\">72</td>\n\
<td align=\"left\">mainWindowEnabled / wmEnable</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">SystemShutdown</td>\n\
<td align=\"left\">73</td>\n\
<td align=\"left\">preSystemShutdown</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">SystemStartup</td>\n\
<td align=\"left\">80</td>\n\
<td align=\"left\">postSystemStartup</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PluginLoaded</td>\n\
<td align=\"left\">81</td>\n\
<td align=\"left\">pluginLoaded</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">SystemShutdown2</td>\n\
<td align=\"left\">82</td>\n\
<td align=\"left\">postSystemShutdown</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">AnimateOn</td>\n\
<td align=\"left\">83</td>\n\
<td align=\"left\">animateOn</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">AnimateOff</td>\n\
<td align=\"left\">84</td>\n\
<td align=\"left\">animateOff</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ColorChange</td>\n\
<td align=\"left\">85</td>\n\
<td align=\"left\">colorChanged</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PreEditObjChange</td>\n\
<td align=\"left\">86</td>\n\
<td align=\"left\">modPanelObjPreChange</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PostEditObjChange</td>\n\
<td align=\"left\">87</td>\n\
<td align=\"left\">modPanelObjPostChange</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">RadiosityprocessStarted</td>\n\
<td align=\"left\">88</td>\n\
<td align=\"left\">radiosityProcessStart</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">RadiosityprocessStopped</td>\n\
<td align=\"left\">89</td>\n\
<td align=\"left\">radiosityProcessStopped</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">RadiosityprocessReset</td>\n\
<td align=\"left\">90</td>\n\
<td align=\"left\">radiosityProcessReset</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">RadiosityprocessDone</td>\n\
<td align=\"left\">91</td>\n\
<td align=\"left\">radiosityProcessDone</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">LightingUnitDisplaySystemChange</td>\n\
<td align=\"left\">92</td>\n\
<td align=\"left\">lightingUnitDisplaySystemChange</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">BeginRenderingReflectRefractMap</td>\n\
<td align=\"left\">93</td>\n\
<td align=\"left\">beginRenderingReflectRefractMap</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">BeginRenderingActualFrame</td>\n\
<td align=\"left\">94</td>\n\
<td align=\"left\">beginRenderingActualFrame</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">BeginRenderingTonemappingImage</td>\n\
<td align=\"left\">95</td>\n\
<td align=\"left\">beginRenderingTonemappingImage</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">RadiosityPluginChanged</td>\n\
<td align=\"left\">96</td>\n\
<td align=\"left\">radiosityPluginChanged</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ScenePostUndo</td>\n\
<td align=\"left\">97</td>\n\
<td align=\"left\">sceneUndo</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">SceneUndo</td>\n\
<td align=\"left\">97</td>\n\
<td align=\"left\">sceneUndo</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ScenePostRedo</td>\n\
<td align=\"left\">98</td>\n\
<td align=\"left\">sceneRedo</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ScenePostRefo</td>\n\
<td align=\"left\">98</td>\n\
<td align=\"left\">sceneRedo</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">SceneRedo</td>\n\
<td align=\"left\">98</td>\n\
<td align=\"left\">sceneRedo</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ManipulateModeOff</td>\n\
<td align=\"left\">99</td>\n\
<td align=\"left\">manipulateModeOff</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ManipulateModeOn</td>\n\
<td align=\"left\">100</td>\n\
<td align=\"left\">manipulateModeOn</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">SceneXrefPreMerge</td>\n\
<td align=\"left\">101</td>\n\
<td align=\"left\">sceneXrefPreMerge</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">SceneXrefPostMerge</td>\n\
<td align=\"left\">102</td>\n\
<td align=\"left\">sceneXrefPostMerge</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ObjectXrefPreMerge</td>\n\
<td align=\"left\">103</td>\n\
<td align=\"left\">objectXrefPreMerge</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ObjectXrefPostMerge</td>\n\
<td align=\"left\">104</td>\n\
<td align=\"left\">objectXrefPostMerge</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PreMirrorNodes</td>\n\
<td align=\"left\">105</td>\n\
<td align=\"left\">preMirrorNodes</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PostMirrorNodes</td>\n\
<td align=\"left\">106</td>\n\
<td align=\"left\">postMirrorNodes</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">NodeCloned</td>\n\
<td align=\"left\">107</td>\n\
<td align=\"left\">nodeCloned</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PreNotifydependents</td>\n\
<td align=\"left\">108</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PostNotifydependents</td>\n\
<td align=\"left\">109</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">MtlRefadded</td>\n\
<td align=\"left\">110</td>\n\
<td align=\"left\">mtlRefAdded</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">MtlRefdeleted</td>\n\
<td align=\"left\">111</td>\n\
<td align=\"left\">mtlRefDeleted</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">TimerangeChange</td>\n\
<td align=\"left\">112</td>\n\
<td align=\"left\">animationRangeChange</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PreModifierAdded</td>\n\
<td align=\"left\">113</td>\n\
<td align=\"left\">preModifierAdded</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PostModifierAdded</td>\n\
<td align=\"left\">114</td>\n\
<td align=\"left\">postModifierAdded</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PreModifierDeleted</td>\n\
<td align=\"left\">115</td>\n\
<td align=\"left\">preModifierDeleted</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PostModifierDeleted</td>\n\
<td align=\"left\">116</td>\n\
<td align=\"left\">postModifierDeleted</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PreNodeGeneralPropChanged</td>\n\
<td align=\"left\">117</td>\n\
<td align=\"left\">preNodeGeneralPropChanged</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PostNodeGeneralPropChanged</td>\n\
<td align=\"left\">118</td>\n\
<td align=\"left\">postNodeGeneralPropChanged</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PreNodeGiPropChanged</td>\n\
<td align=\"left\">119</td>\n\
<td align=\"left\">preNodeGiPropChanged</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PostNodeGiPropChanged</td>\n\
<td align=\"left\">120</td>\n\
<td align=\"left\">postNodeGiPropChanged</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PreNodeMentalrayPropChanged</td>\n\
<td align=\"left\">121</td>\n\
<td align=\"left\">preNodeMentalrayPropChanged</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PostNodeMentalrayPropChanged</td>\n\
<td align=\"left\">128</td>\n\
<td align=\"left\">postNodeMentalrayPropChanged</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PreNodeBonePropChanged</td>\n\
<td align=\"left\">129</td>\n\
<td align=\"left\">preNodeBonePropChanged</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PostNodeBonePropChanged</td>\n\
<td align=\"left\">130</td>\n\
<td align=\"left\">postNodeBonePropChanged</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PreNodeUserPropChanged</td>\n\
<td align=\"left\">131</td>\n\
<td align=\"left\">preNodeUserPropChanged</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PostNodeUserPropChanged</td>\n\
<td align=\"left\">132</td>\n\
<td align=\"left\">postNodeUserPropChanged</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">FilelinkPostReloadPrePrune</td>\n\
<td align=\"left\">133</td>\n\
<td align=\"left\">filelinkPostReloadPrePrune</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PreNodesCloned</td>\n\
<td align=\"left\">134</td>\n\
<td align=\"left\">preNodesCloned</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PostNodesCloned</td>\n\
<td align=\"left\">135</td>\n\
<td align=\"left\">postNodesCloned</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">SystemPreDirChange</td>\n\
<td align=\"left\">137</td>\n\
<td align=\"left\">systemPreDirChange</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">SystemPostDirChange</td>\n\
<td align=\"left\">138</td>\n\
<td align=\"left\">systemPostDirChange</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">FilePostOpenProcess</td>\n\
<td align=\"left\">139</td>\n\
<td align=\"left\">filePostOpenProcess</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">SvSelectionsetChanged</td>\n\
<td align=\"left\">140</td>\n\
<td align=\"left\">svSelectionSetChanged</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">SvDoubleclickGraphnode</td>\n\
<td align=\"left\">141</td>\n\
<td align=\"left\">svDoubleClickGraphNode</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PreRendererChange</td>\n\
<td align=\"left\">142</td>\n\
<td align=\"left\">preRendererChange</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PostRendererChange</td>\n\
<td align=\"left\">143</td>\n\
<td align=\"left\">postRendererChange</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">SvPreLayoutChange</td>\n\
<td align=\"left\">144</td>\n\
<td align=\"left\">svPreLayoutChange</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">SvPostLayoutChange</td>\n\
<td align=\"left\">145</td>\n\
<td align=\"left\">svPostLayoutChange</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ByCategoryDisplayFilterChanged</td>\n\
<td align=\"left\">146</td>\n\
<td align=\"left\">byCategoryDisplayFilterChanged</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">CustomDisplayFilterChanged</td>\n\
<td align=\"left\">147</td>\n\
<td align=\"left\">customDisplayFilterChanged</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">LayerCreated</td>\n\
<td align=\"left\">148</td>\n\
<td align=\"left\">layerCreated</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">LayerDeleted</td>\n\
<td align=\"left\">149</td>\n\
<td align=\"left\">layerDeleted</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">NodeLayerChanged</td>\n\
<td align=\"left\">150</td>\n\
<td align=\"left\">nodeLayerChanged</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">TabbedDialogCreated</td>\n\
<td align=\"left\">151</td>\n\
<td align=\"left\">tabbedDialogCreated</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">TabbedDialogDeleted</td>\n\
<td align=\"left\">152</td>\n\
<td align=\"left\">tabbedDialogDeleted</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">NodeNameSet</td>\n\
<td align=\"left\">153</td>\n\
<td align=\"left\">nodeNameSet</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">HwTextureChanged</td>\n\
<td align=\"left\">154</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">MxsStartup</td>\n\
<td align=\"left\">155</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">MxsPostStartup</td>\n\
<td align=\"left\">156</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ActionItemHotKeyPreExec</td>\n\
<td align=\"left\">157</td>\n\
<td align=\"left\">actionItemHotkeyPreExecute</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ActionItemHotKeyPostExec</td>\n\
<td align=\"left\">158</td>\n\
<td align=\"left\">actionItemHotKeyPostExecute</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ScenestatePreSave</td>\n\
<td align=\"left\">159</td>\n\
<td align=\"left\">preSceneStateSave</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ScenestatePostSave</td>\n\
<td align=\"left\">160</td>\n\
<td align=\"left\">postSceneStateSave</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ScenestatePreRestore</td>\n\
<td align=\"left\">161</td>\n\
<td align=\"left\">preSceneStateRestore</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ScenestatePostRestore</td>\n\
<td align=\"left\">162</td>\n\
<td align=\"left\">postSceneStateRestore</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ScenestateDelete</td>\n\
<td align=\"left\">163</td>\n\
<td align=\"left\">sceneStateDelete</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ScenestateRename</td>\n\
<td align=\"left\">164</td>\n\
<td align=\"left\">sceneStateRename</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ScenePreUndo</td>\n\
<td align=\"left\">165</td>\n\
<td align=\"left\">preSceneUndo</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ScenePreRedo</td>\n\
<td align=\"left\">166</td>\n\
<td align=\"left\">preSceneRedo</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">MxsShutdown</td>\n\
<td align=\"left\">167</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">D3dPreDeviceReset</td>\n\
<td align=\"left\">168</td>\n\
<td align=\"left\">D3DPreDeviceReset</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">D3dPostDeviceReset</td>\n\
<td align=\"left\">169</td>\n\
<td align=\"left\">D3DPostDeviceReset</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ToolpaletteMtlSuspend</td>\n\
<td align=\"left\">170</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ToolpaletteMtlResume</td>\n\
<td align=\"left\">171</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ClassdescReplaced</td>\n\
<td align=\"left\">172</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">FilePreOpenProcess</td>\n\
<td align=\"left\">173</td>\n\
<td align=\"left\">filePreOpenProcess</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">FilePreSaveProcess</td>\n\
<td align=\"left\">174</td>\n\
<td align=\"left\">filePreSaveProcess</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">FilePostSaveProcess</td>\n\
<td align=\"left\">175</td>\n\
<td align=\"left\">filePostSaveProcess</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ClassdescLoaded</td>\n\
<td align=\"left\">176</td>\n\
<td align=\"left\">classDescLoaded</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ToolbarsPreLoad</td>\n\
<td align=\"left\">177</td>\n\
<td align=\"left\">preLoadingCuiToolbars</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ToolbarsPostLoad</td>\n\
<td align=\"left\">178</td>\n\
<td align=\"left\">postLoadingCuiToolbars</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">AtsPreRepathPhase</td>\n\
<td align=\"left\">179</td>\n\
<td align=\"left\">atsPreRepathPhase</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">AtsPostRepathPhase</td>\n\
<td align=\"left\">180</td>\n\
<td align=\"left\">atsPostRepathPhase</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ProxyTemporaryDisableStart</td>\n\
<td align=\"left\">181</td>\n\
<td align=\"left\">proxyTempDisableStart</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ProxyTemporaryDisableEnd</td>\n\
<td align=\"left\">182</td>\n\
<td align=\"left\">proxyTempDisableEnd</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">FileCheckStatus</td>\n\
<td align=\"left\">183</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">NamedSelSetCreated</td>\n\
<td align=\"left\">184</td>\n\
<td align=\"left\">NamedSelSetCreated</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">NamedSelSetDeleted</td>\n\
<td align=\"left\">185</td>\n\
<td align=\"left\">NamedSelSetDeleted</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ModpanelSubobjectlevelChanged</td>\n\
<td align=\"left\">186</td>\n\
<td align=\"left\">ModPanelSubObjectLevelChanged</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">FailedDirectxMaterialTextureLoad</td>\n\
<td align=\"left\">187</td>\n\
<td align=\"left\">FailedDirectXMaterialTextureLoad</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">NamedSelSetRenamed</td>\n\
<td align=\"left\">188</td>\n\
<td align=\"left\">NamedSelSetRenamed</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">RenderPreevalFrameinfo</td>\n\
<td align=\"left\">188</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PostSceneReset</td>\n\
<td align=\"left\">189</td>\n\
<td align=\"left\">postSceneReset</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">AnimLayersEnabled</td>\n\
<td align=\"left\">190</td>\n\
<td align=\"left\">animLayersEnabled</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">AnimLayersDisabled</td>\n\
<td align=\"left\">191</td>\n\
<td align=\"left\">animLayersDisabled</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ActionItemPreStartOverride</td>\n\
<td align=\"left\">192</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ActionItemPostStartOverride</td>\n\
<td align=\"left\">193</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ActionItemPreEndOverride</td>\n\
<td align=\"left\">194</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ActionItemPostEndOverride</td>\n\
<td align=\"left\">195</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PreNodeRenderPropChanged</td>\n\
<td align=\"left\">196</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PostNodeRenderPropChanged</td>\n\
<td align=\"left\">197</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PreNodeDisplayPropChanged</td>\n\
<td align=\"left\">198</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PostNodeDisplayPropChanged</td>\n\
<td align=\"left\">199</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PreNodeBasicPropChanged</td>\n\
<td align=\"left\">200</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PostNodeBasicPropChanged</td>\n\
<td align=\"left\">201</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">NamedSelSetPreModify</td>\n\
<td align=\"left\">202</td>\n\
<td align=\"left\">NamedSelSetPreModify</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">NamedSelSetPostModify</td>\n\
<td align=\"left\">203</td>\n\
<td align=\"left\">NamedSelSetPostModify</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">SelectionLock</td>\n\
<td align=\"left\">208</td>\n\
<td align=\"left\">selectionLocked</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">SelectionUnlock</td>\n\
<td align=\"left\">209</td>\n\
<td align=\"left\">selectionUnlocked</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PreImageViewerDisplay</td>\n\
<td align=\"left\">210</td>\n\
<td align=\"left\">preImageViewerDisplay</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PostImageViewerDisplay</td>\n\
<td align=\"left\">211</td>\n\
<td align=\"left\">postImageViewerDisplay</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ImageViewerUpdate</td>\n\
<td align=\"left\">212</td>\n\
<td align=\"left\">imageViewerUpdate</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">CustomAttributesAdded</td>\n\
<td align=\"left\">213</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">CustomAttributesRemoved</td>\n\
<td align=\"left\">214</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">OsThemeChanged</td>\n\
<td align=\"left\">215</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ActiveViewportChanged</td>\n\
<td align=\"left\">216</td>\n\
<td align=\"left\">activeViewportChanged</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PreMaxmainwindowShow</td>\n\
<td align=\"left\">219</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PostMaxmainwindowShow</td>\n\
<td align=\"left\">220</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ClassdescAdded</td>\n\
<td align=\"left\">221</td>\n\
<td align=\"left\">ClassDescAdded</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ObjectDefinitionChangeBegin</td>\n\
<td align=\"left\">222</td>\n\
<td align=\"left\">ObjectDefinitionChangeBegin</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ObjectDefinitionChangeEnd</td>\n\
<td align=\"left\">223</td>\n\
<td align=\"left\">ObjectDefinitionChangeEnd</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">MtlbaseParamdlgPreOpen</td>\n\
<td align=\"left\">224</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">MtlbaseParamdlgPostClose</td>\n\
<td align=\"left\">225</td>\n\
<td align=\"left\"><em>not exposed in MAXScript</em></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">AppFrameThemeChanged</td>\n\
<td align=\"left\">227</td>\n\
<td align=\"left\">postAppThemeChange</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">CuiMenusPostLoad</td>\n\
<td align=\"left\">245</td>\n\
<td align=\"left\">postLoadingMenus</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ActionItemExecutionStarted</td>\n\
<td align=\"left\">247</td>\n\
<td align=\"left\">actionItemExecutionStarted</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ActionItemExecutionEnded</td>\n\
<td align=\"left\">248</td>\n\
<td align=\"left\">actionItemExecutionEnded</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">FilePostMerge2</td>\n\
<td align=\"left\">251</td>\n\
<td align=\"left\">filePostMerge2</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PlaybackStart</td>\n\
<td align=\"left\">255</td>\n\
<td align=\"left\">playbackStart</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PlaybackEnd</td>\n\
<td align=\"left\">256</td>\n\
<td align=\"left\">playbackEnd</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">SceneExplorerNeedsUpdate</td>\n\
<td align=\"left\">257</td>\n\
<td align=\"left\">sceneExplorerNeedsUpdate</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">filePostOpenProcessFinalized</td>\n\
<td align=\"left\">258</td>\n\
<td align=\"left\">filePostOpenProcessFinalized</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">filePostMergeProcessFinalized</td>\n\
<td align=\"left\">259</td>\n\
<td align=\"left\">filePostMergeProcessFinalized</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PreProjectFolderChange</td>\n\
<td align=\"left\">260</td>\n\
<td align=\"left\">preProjectFolderChange</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">PostProjectFolderChange</td>\n\
<td align=\"left\">261</td>\n\
<td align=\"left\">postProjectFolderChange</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">PreMaxscriptStartupScriptLoad</td>\n\
<td align=\"left\">262</td>\n\
<td align=\"left\">preStartupScriptLoad</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ActiveShadeInViewportToggled</td>\n\
<td align=\"left\">263</td>\n\
<td align=\"left\">activeShadeInViewportToggled</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">SystemShutdownCheck</td>\n\
<td align=\"left\">264</td>\n\
<td align=\"left\">systemShutdownCheck</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">SystemShutdownCheckFailed</td>\n\
<td align=\"left\">265</td>\n\
<td align=\"left\">systemShutdownCheckFailed</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">SystemShutdownCheckPassed</td>\n\
<td align=\"left\">266</td>\n\
<td align=\"left\">systemShutdownCheckPassed</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">FilePostMerge3</td>\n\
<td align=\"left\">267</td>\n\
<td align=\"left\">filePostMerge3</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><em>not exposed in MaxPlus</em></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">welcomeScreenDone</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><em>not exposed in MaxPlus</em></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">heightMenuChanged</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><em>not exposed in MaxPlus</em></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">preViewPanelDelete</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><em>not exposed in MaxPlus</em></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">preViewportTooltip</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><em>not exposed in MaxPlus</em></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">preAppThemeChange</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><em>not exposed in MaxPlus</em></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">preWorkspaceChange</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><em>not exposed in MaxPlus</em></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">postWorkspaceChange</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><em>not exposed in MaxPlus</em></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">preWorkspaceCollectionChange</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><em>not exposed in MaxPlus</em></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">postWorkspaceCollectionChange</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><em>not exposed in MaxPlus</em></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">mouseSettingsChanged</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><em>not exposed in MaxPlus</em></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">preSavingCuiToolbars</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><em>not exposed in MaxPlus</em></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">postSavingCuiToolbars</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><em>not exposed in MaxPlus</em></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">appActivated</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><em>not exposed in MaxPlus</em></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">appDeactivated</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><em>not exposed in MaxPlus</em></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">cuiMenusUpdate</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><em>not exposed in MaxPlus</em></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">postRestoreObjsDeleted</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><em>not exposed in MaxPlus</em></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">preSavingMenus</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><em>not exposed in MaxPlus</em></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">postSavingMenus</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><em>not exposed in MaxPlus</em></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">viewportSafeFrameToggle</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><em>not exposed in MaxPlus</em></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">layerParentChanged</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><em>not exposed in MaxPlus</em></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">interactivePluginCreationStarted</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><em>not exposed in MaxPlus</em></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">interactivePluginCreationEnded</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><em>not exposed in MaxPlus</em></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">postNodeSelectOperation</td>\n\
</tr>\n\
</table>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";