var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Virtual Environments and 3ds Max Python</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Virtual Environments and 3ds Max Python</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"virtual-environments-and-3ds-max-python\"></a></div>\n\
<p>3ds Max 2021 and higher supports using virtual environments with Python 3, which allows you to ensure specific Python modules are loaded. This can be very useful for tools that have version-specific dependencies, and you need them to run in controlled environments. When a virtual environment is active, the Python interpreter in 3ds Max will search it first for imported modules - it becomes the first path on <span class=\'code\'>sys.path</span>.</p>\n\
<p>To set up a virtual environment, you need to create it <em>outside</em> of the 3ds Max application, using the 3ds Max Python interpreter, and then start 3ds Max from the same command prompt. To start 3ds Max with a virtual environment:</p>\n\
<ol>\n\
<li>Open a command prompt.</li>\n\
<li>Install the <span class=\'code\'>virtualenv</span> module using the 3ds Max Python interpreter: <span class=\'code\'>C:\\Program Files\\Autodesk\\3ds Max 2021\\Python37\\python.exe -m pip install --user virtualenv</span> &gt; <strong>Note</strong> See &quot;Using pip with Python 3&quot; in <a href=\'#!/url=./developer/python_extension_libraries.html\' title=\'\'>Python extension libraries</a> for instructions on how to install <span class=\'code\'>pip</span>.</li>\n\
<li>Create a new virtual environment (this only needs to be done once): <span class=\'code\'>C:\\Program Files\\Autodesk\\3ds Max 2021\\Python37\\python.exe -m virtualenv d:\\myenv</span> Once the environment has been created, you can install the specific modules you require.</li>\n\
<li><p>Activate the virtual environment (this needs to be done every time you start 3ds Max): <span class=\'code\'>d:\\myenv\\Scripts\\activate.bat</span> &gt; <strong>Note</strong>: You can deactivate the virtual environment using the <span class=\'code\'>deactivate.bat</span> script in the same directory. You can view the path for any active virtual environment by using <span class=\'code\'>where python</span> in the command prompt.</p></li>\n\
<li><p>Start 3ds Max: <span class=\'code\'>3dsmax.exe</span> &gt; <strong>Note</strong>: 3ds Max must be started in the same command prompt that ran <span class=\'code\'>activate.bat</span>, as that script affects the local environment variables.</p></li>\n\
</ol>\n\
<p>For more general information about using a virtual environment, see the Python documentation for <a href=\'https://packaging.python.org/guides/installing-using-pip-and-virtual-environments/\' title=\'\' target=\'_blank\'>Installing Packages using pip and virtual environments</a>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";