var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Python extension libraries</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Python extension libraries</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"python-extension-libraries\"></a></div>\n\
<p>Autodesk 3ds Max ships with a pre-built version of PySide 2.0, and is the preferred library for using QT with Python in 3ds Max (see <a href=\'#!/url=./developer/creating_python_uis.html\' title=\'\'>Creating Python Uis</a>). You may install other CPython extension libraries as well. However, while every effort has been made to ensure that CPython extension libraries such as PyQt, SciPy, NumPy, PIL, and so forth work with Python in 3ds Max, Autodesk does not provide technical support for them.</p>\n\
<div class=\'section\'><a id=\"python-3\"></a><h2 id=\"python-3\">Python 3</h2></div>\n\
<p>3ds Max includes the standard version of Python 3. This version&#39;s binaries are compiled with VC15, matching 3ds Max and Max Batch, meaning they are binary compatible and most CPython extension libraries should work &quot;out of the box&quot;. You simply need to use PIP to install them (see the <a href=\'python_extension_libraries.html#Using-pip-with-Python-3\' title=\'\'>instructions below</a>).</p>\n\
<div class=\'section\'><a id=\"installing-pip-for-package-management\"></a><h2 id=\"installing-pip-for-package-management\">Installing PIP for package management</h2></div>\n\
<p>Pip is a package management system for Python. It is useful for managing additional Python modules, including managing building modules from source (for example, NumPy). For libraries that contain pre-built binaries (such as zmq), these should work without recompilation with Python 3. With Python 2, you will need to obtain the source and re-build the binaries, replacing the ones installed by pip. By default, pip will try to use pre-built binaries. You can force pip to build from source with the --no-binary flag, and specifying a required version (see example below).</p>\n\
<div class=\'section\'><a id=\"using-pip-with-python-3\"></a><h3 id=\"using-pip-with-python-3\">Using pip with Python 3</h3></div>\n\
<p>The <span class=\'code\'>pip</span> script is included with the 3ds Max Python 3 distribution as of 3ds Max 2021.1 Update. You can upgrade it to the most recent version by running <span class=\'code\'>python -m ensurepip --upgrade --user</span> from a command prompt.</p>\n\
<p>To install a package, such as Pillow:     <span class=\'code\'>.\\python.exe -m pip install --user pillow</span>     &gt; Note: Make sure you are executing the 3ds Max <span class=\'code\'>python.exe</span>, and not another version of python on your path.  The <span class=\'code\'>-m</span> command-line argument runs pip as a module, and the <span class=\'code\'>--user</span> option ensures that the package is installed in your user directory rather than the 3ds Max Python directory.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";