var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Tutorial 4 - Automatically launching our tool when max starts</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Tutorial 4 - Automatically launching our tool when max starts</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"tutorial-4---automatically-launching-our-tool-when-max-starts\"></a></div>\n\
<p>In this tutorial we demonstrate how to make a package run during the startup of max.</p>\n\
<div class=\'section\'><a id=\"adding-3dsmax.startup-to-our-package\"></a><h2 id=\"adding-3dsmax.startup-to-our-package\">Adding <span class=\'code\'>3dsMax.startup</span> to our package</h2></div>\n\
<p><a href=\'https://setuptools.readthedocs.io/en/latest/setuptools.html#dynamic-discovery-of-services-and-plugins\' title=\'\' target=\'_blank\'>Reference</a></p>\n\
<p>Add the following entry to the <em>setup.py</em> file:</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-py\">    entry_points={&#39;3dsMax&#39;: &#39;startup=pyramid:startup&#39;},\n\
</pre></div><p>and rewrite our <em><strong>init</strong>.py</em> as:</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-py\">name = &quot;pyramid&quot;\n\
import pyramid.ui\n\
def startup():\n\
    &quot;&quot;&quot;Create and show the dialog during 3ds Max startup, provided that\n\
    the pyramid component is present in the pip loading environment at that\n\
    moment.&quot;&quot;&quot;\n\
    dialog = pyramid.ui.PyMaxDialog()\n\
    dialog.show()\n\
</pre></div><p>To make this work we need to close 3ds Max, reinstall our package and restart 3ds Max.</p>\n\
<div class=\'section\'><a id=\"startup.py\"></a><h2 id=\"startup.py\">startup.py</h2></div>\n\
<p>For the above code to work we need to have a <em>pystartup.ms</em> file in our <span class=\'code\'>\\&lt;MaxRoot\\&gt;/scripts/Startup</span> directory. Scripts in this directory are automatically run during the startup of 3ds Max.</p>\n\
<p>This file should contain the following MAXScript code:</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-maxscript\">python.execute (&quot;def _python_startup():\\n&quot; +\n\
    &quot;    import pkg_resources\\n&quot; +\n\
    &quot;    for dist in pkg_resources.working_set: \\n&quot; +\n\
    &quot;        entrypt = pkg_resources.get_entry_info(dist, &#39;3dsMax&#39;, &#39;startup&#39;)\\n&quot; +\n\
    &quot;        if not (entrypt is None):\\n&quot; +\n\
    &quot;            fcn = entrypt.load()\\n&quot; +\n\
    &quot;            try:\\n&quot; +\n\
    &quot;                fcn()\\n&quot; +\n\
    &quot;            except:\\n&quot; +\n\
    &quot;                pass\\n&quot; +\n\
    &quot;_python_startup()\\n&quot; +\n\
    &quot;del _python_startup&quot;)\n\
</pre></div><p>The advantage of this approach is that python startup scripts are discovered in the active python environment, and therefore work well with virtualenv. We scan the available packages, look for ones that have the 3dsMax startup entry point, and run this entry point.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";