var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Tutorial 5 - Installing our pip package</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Tutorial 5 - Installing our pip package</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"tutorial-5---installing-our-pip-package\"></a></div>\n\
<p>In this tutorial we will use <span class=\'code\'>virtualenv</span> with 3ds Max. The virtualenv tool allows us to configure different independent Python execution environments on our machine, each having its own set of installed pip packages.</p>\n\
<p>The complete documentation for virtualenv can be found <a href=\'https://virtualenv.pypa.io/en/latest/user_guide.html\' title=\'\' target=\'_blank\'>here</a></p>\n\
<div class=\'section\'><a id=\"create-and-activate-a-virtual-environment\"></a><h2 id=\"create-and-activate-a-virtual-environment\">Create and Activate a Virtual Environment</h2></div>\n\
<p>The Python embedded with 3ds Max includes the virtualenv tool, and we will be using that. Open a command prompt in the 3ds Max Python directory (typically something like <span class=\'code\'>C:\\Program Files\\Autodesk\\3ds Max 202X\\Python37</span>) and create a virtual environment:</p>\n\
<div class=\'codeBlock\'><pre>python -m virtualenv d:\\myenv\n\
</pre></div><p>Then activate it by running:</p>\n\
<div class=\'codeBlock\'><pre>d:\\myenv\\Scripts\\activate\n\
</pre></div><p>Note: It is important to start 3ds Max from this same command prompt that was used to activate the virtual environment, as that command sets up some environment variables that 3ds Max will detect.</p>\n\
<p>Start 3ds Max:</p>\n\
<div class=\'codeBlock\'><pre>3dsmaxs -python3\n\
</pre></div><p>From this moment we can use pip to add packages inside the virtual environment:</p>\n\
<div class=\'codeBlock\'><pre>pip install somepackage\n\
</pre></div><p>And we are able to import the installed package in 3ds Max:</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-python\">import somepackgage\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";