var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Working with Animation</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Working with Animation</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"working-with-animation\"></a></div>\n\
<p>MAXScript / pymxs expose several functions for working with animations in 3ds Max.</p>\n\
<div class=\'section\'><a id=\"getting-and-setting-the-frame-range\"></a><h2 id=\"getting-and-setting-the-frame-range\">Getting and Setting the Frame Range</h2></div>\n\
<p>The animation range is held in the animationRange global, which holds an Interval value. Intervals represent a range of time. So for example to get the frame range and change it:</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-py\">&gt;&gt;&gt; pymxs.runtime.animationRange\n\
&lt;Interval&lt;(interval 0f 100f)&gt;&gt;\n\
&gt;&gt;&gt; pymxs.runtime.animationRange = pymxs.runtime.interval(0,200)\n\
</pre></div><div class=\'section\'><a id=\"setting-animation-keys\"></a><h2 id=\"setting-animation-keys\">Setting Animation Keys</h2></div>\n\
<p>Animation keys can be set using the pymxs version of the MAXScript <span class=\'code\'>at time</span> context expression, <span class=\'code\'>pymxs.attime()</span>. Note that <span class=\'code\'>pymxs.animate()</span> must be set to True first.</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-py\">rt = pymxs.runtime\n\
\n\
t = rt.teapot()\n\
\n\
with pymxs.animate(True):\n\
    with pymxs.attime(0):\n\
        t.pos = rt.point3(0,0,0)\n\
    with pymxs.attime(100):\n\
        t.pos = rt.point3(0,10,100)\n\
</pre></div><div class=\'section\'><a id=\"playing-back-the-animation\"></a><h2 id=\"playing-back-the-animation\">Playing Back the Animation</h2></div>\n\
<p><span class=\'code\'>pymxs</span> provide two functions for controlling animation: <span class=\'code\'>playAnimation()</span> and <span class=\'code\'>stopAnimation()</span>. You can query whether animation is playing with isAnimPlaying(). For example:</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-py\">&gt;&gt;&gt; pymxs.runtime.playAnimation(immediateReturn=True)\n\
&gt;&gt;&gt; pymxs.runtime.isAnimPlaying()\n\
True\n\
&gt;&gt;&gt; pymxs.runtime.stopAnimation()\n\
True\n\
</pre></div><p>To set the playback speed, use the timeConfiguration.playbackSpeed setting. For example, to set the playback speed to 2x:</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-py\">pymxs.runtime.timeConfiguration.playbackSpeed = 4\n\
</pre></div><p>All of the settings on the <strong>Time Configuration</strong> dialog are exposed to pymxs/MAXScript. See the &quot;Time Configuration Dialog&quot; topic in the MAXScript Help for more information.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";