var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Working with Bitmaps</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Working with Bitmaps</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"working-with-bitmaps\"></a></div>\n\
<p>The Bitmap class provides storage for 3ds Max bitmaps and low-level access to them.</p>\n\
<p>For example, to create a bitmap of a specified height and width and gamma setting, and then store render results in it:</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-py\">from pymxs import runtime as rt\n\
\n\
rt.resetMaxFile(rt.name(&#39;noPrompt&#39;))\n\
t = rt.teapot()\n\
my_bitmap = rt.bitmap(320, 240, color=rt.white, gamma=1.9)\n\
rt.render(to=my_bitmap)\n\
rt.display(my_bitmap)\n\
</pre></div><p>Note that <span class=\'code\'>render()</span> returns a bitmap by default if no <span class=\'code\'>to=</span> or <span class=\'code\'>outputFile=</span> is supplied, but once a bitmap value is created you cannot change the gamma value or pixel aspect. In this example we create the bitmap with these values first, and then write to it. You can also copy a bitmap to a new one with the gamma or pixel aspect you want to acheive the same thing.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";