var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Creating Custom Attributes with pymxs</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Creating Custom Attributes with pymxs</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"creating-custom-attributes-with-pymxs\"></a></div>\n\
<p>You can access existing custom attributes in pymxs using the MAXScript <span class=\'code\'>custAttributes</span> struct. However, you cannot define and create custom attributes natively using pymxs. You can do so by defining custom attributes in a string of MAXScript code, and then executing it using pymxs.runtime.execute().</p>\n\
<p>This example defines a custom attribute on a teapot, later setting its value:</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-py\">import pymxs\n\
mxs=pymxs.runtime\n\
\n\
mxs.resetMaxFile(mxs.Name(&#39;noPrompt&#39;))\n\
\n\
# set up a custom attribute on the teapot\n\
# this is just a string of MAXScript\n\
\n\
testCAcmd=&#39;&#39;&#39;attributes &quot;TestCustAttrib&quot;\n\
(\n\
    parameters main rollout:params\n\
    (\n\
        param1 type:#float ui:spinParam1 default:10 animateable:True\n\
    )\n\
     \n\
    rollout params &quot;Test Parameters&quot;\n\
    (\n\
        spinner spinParam1 &quot;Param1&quot; type:#float\n\
    )\n\
)&#39;&#39;&#39;\n\
\n\
attr = mxs.execute(testCAcmd)\n\
\n\
# we can now add the custom attribute to scene objects\n\
t = mxs.teapot()\n\
mxs.custAttributes.add(t.baseObject, attr)\n\
\n\
# and set values on it\n\
t.TestCustAttrib.param1 = 21\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";