var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Accessing Gizmos</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Accessing Gizmos</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"accessing-gizmos\"></a></div>\n\
<p>Accessing the gizmo of a modifier (for those modifiers that have a gizmo) can be tricky. Consider this code:</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-py\">my_mod = rt.UVWMap()\n\
rt.addModifier(my_teapot, my_mod)\n\
my_mod.gizmo.position = rt.Point3(20,20,20)\n\
</pre></div><p>Although this works in MAXScript, in Python it produces the error: <span class=\'code\'>AttributeError: &#39;pymxs.MXSWrapperBase&#39; object has no attribute &#39;gizmo&#39;</span>.</p>\n\
<p>The reason is that the Python script does not force a scene graph evaluation the way that MAXScript does, so the gizmo is not created on the node by the time the script tries to access it. These situations can be worked around by forcing a viewport redraw, as in the following modified script:</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-py\">from pymxs import runtime as rt\n\
\n\
my_teapot = rt.teapot()\n\
rt.convertTo(my_teapot, rt.editable_poly)\n\
my_mod = rt.UVWMap()\n\
rt.addModifier(my_teapot, my_mod)\n\
rt.redrawViews() # needed to make the gizmo available\n\
my_mod.gizmo.position = rt.Point3(20,20,20)\n\
print(my_mod.gizmo.position)\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";