var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Coercing MAXScript Values</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Coercing MAXScript Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"coercing-maxscript-values\"></a></div>\n\
<p>Although pymxs supports conversion between many Python and MAXScript types, and most &quot;non-Pythonic&quot; constructs (such as passing arguments by reference), you may find some MAXScript commands are simply impossible to replicate in Python. For example, using the &quot;as&quot; coercion syntax. In MAXScript you can do something like this:</p>\n\
<div class=\'codeBlock\'><pre>selectedFaces = getFaceSelection selection[1] -- returns BitArray value\n\
myArray = selectedFaces as Array\n\
</pre></div><p>In Python this is not possible. Instead, we can create a function in MAXScript that does this coercion internally and returns the result. Global functions will be visible to the MAXScript system for the lifetime of the 3ds Max instance. You can do this in a separate MAXScript script, or within your Python script using <span class=\'code\'>pymxs.runtime.execute()</span>, for example:</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-py\">pymxs.runtime.execute(&quot;fn b2a b = (return b as Array)&quot;)\n\
rt.b2a(selectedFaces)\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";