var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Registering Python Callbacks</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Registering Python Callbacks</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"registering-python-callbacks\"></a></div>\n\
<p>Some MAXScript callback registration functions can take a Python function as the callback argument. These include <span class=\'code\'>registerTimeCallback()</span>, <span class=\'code\'>registerRedrawViewsCallback()</span>, and <span class=\'code\'>nodeEventCallback()</span>. Others take a string rather than a function as an argument, and thus cannot take a Python function. These functions include <span class=\'code\'>DialogMonitorOPS.RegisterNofication()</span> and <span class=\'code\'>callbacks.addScript()</span>.</p>\n\
<p>One work-around is to assign the Python function to a variable in <span class=\'code\'>pymxs.runtime</span>. Here is a simple example to illustrate the idea:</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-py\">import pymxs\n\
rt = pymxs.runtime\n\
\n\
def myCallback():\n\
    print &quot;Callback fired!&quot;\n\
\n\
# connect to the MXS runtime\n\
rt.pyCallback = myCallback\n\
\n\
# register ourselves as a callback\n\
# note that the pyCallback() is in fact a maxscript call\n\
rt.callbacks.addScript(rt.Name(&#39;nodeCreated&#39;), &#39;pyCallback()&#39;)\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";