var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Working with System Directories</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Working with System Directories</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"working-with-system-directories\"></a></div>\n\
<p>3ds Max has many system directories defined where it reads and writes data from the filesystem. These directories are defined in the 3ds Max UI under <strong>Customize &gt; Configure User and System Paths</strong>, but can also be accessed from pymxs.</p>\n\
<p>System directories can be accessed in two ways: a filetype name, which is a MAXScript name value, such as <span class=\'code\'>#maxSysIcons</span>, and a symbolic pathname string, which a convenient way to build file paths for functions like <span class=\'code\'>filein()</span>. Symbolic pathnames are managed with functions in the <span class=\'code\'>symbolicPaths</span> struct.</p>\n\
<p>For example, to list all the symbolic pathnames and their values:</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-py\">from pymxs import runtime as rt \n\
\n\
for i in range (1, rt.symbolicPaths.numPaths() + 1):\n\
    symbolic_path = rt.symbolicPaths.getPathName(i)\n\
    symbolic_value = rt.symbolicPaths.getPathValue(i)\n\
    print(&#39;symbolic name: {} \\t  value: {}&#39;.format(symbolic_path, symbolic_value))\n\
    \n\
# We can also query System Directory names:\n\
sys_icon_path = rt.pathConfig.getDir(rt.name(&#39;maxSysIcons&#39;))\n\
print(&#39;system icons: {}&#39;.format(sys_icon_path))\n\
</pre></div><p>The &quot;3ds Max System Directories&quot; topic group in the <em>MAXScript Help</em> contains more information, such as a list of all symbolic pathnames and file types, as well as other useful collections of path definitions such as <span class=\'code\'>mapPaths</span>, <span class=\'code\'>xrefPaths</span>, and additional path-related functions contained in <span class=\'code\'>pathConfig</span>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";