var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Working With Scene Files</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Working With Scene Files</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"working-with-scene-files\"></a></div>\n\
<p>MAXScript,and therefore pymxs, provides many methods for working with scene files, such as loading, saving, merging and archiving, as well as obtaining the current file path and name.</p>\n\
<p>For example, to save the current scene file, and then query the file name and path:</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-py\">&gt;&gt;&gt; pymxs.runtime.saveMaxFile(&#39;myMaxFile.max&#39;)\n\
True\n\
&gt;&gt;&gt; pymxs.runtime.maxFileName\n\
u&#39;myMaxFile.max&#39;\n\
&gt;&gt;&gt; pymxs.runtime.maxFilePath\n\
u&#39;D:\\\\My Documents\\\\3dsMax\\\\scenes\\\\&#39;\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>Note</strong>: The default scene file path is determined by the Project Paths setting, which can be accessed from the <span class=\'code\'>pathConfig</span> struct.</p>\n\
\n\
<p>Similarly, to load an existing scene file:</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-py\">&gt;&gt;&gt; pymxs.runtime.checkForSave()\n\
True\n\
&gt;&gt;&gt; pymxs.runtime.loadMaxFile(&#39;my_scene.max&#39;)\n\
True\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>Note</strong>: By default, loadMaxFile() replaces the current scene without warning, which is why we call <span class=\'code\'>checkForSave()</span> first. This method will display the file save dialog if the current scene is modified and needs to be saved.</p>\n\
\n\
<p>For more information about pymxs methods for working with scene files, see the &quot;3ds Max File Loading and Saving&quot; topic in the <em>MAXScript Help</em>.</p>\n\
<div class=\'section\'><a id=\"external-file-access\"></a><h2 id=\"external-file-access\">External File Access</h2></div>\n\
<p>Although MAXScript provides many functions for accessing external (non-scene) files, using the native Python file access methods is preferable in most cases. For example, you can use <span class=\'code\'>pymxs.runtime.openFile()</span> to open a file, and use the returned fileStream object to read the contents, but Python&#39;s <span class=\'code\'>open()</span> is more &#39;Pythonic&#39;.</p>\n\
<p>For more information about pymxs functions for working with external files, see the &quot;External File Access&quot; group of topics in the <em>MAXScript Help</em>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";