var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Creating and Assigning Materials</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Creating and Assigning Materials</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"creating-and-assigning-materials\"></a></div>\n\
<p>The Material class represents the materials you can assign to objects in 3ds Max. Classes derived directly from <span class=\'code\'>Material</span> are Material Types, such as (but not limited to) <span class=\'code\'>Standard</span>, <span class=\'code\'>Physical</span>, and <span class=\'code\'>MultiMaterial</span>. The classes derived from these are materials you can create and use in 3ds Max scenes.</p>\n\
<p>Creating a material in pymxs invovles calling its constructor. For example:</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-py\">&gt;&gt;&gt; t = pymxs.runtime.teapot()\n\
&gt;&gt;&gt; m = pymxs.runtime.standardMaterial()\n\
&gt;&gt;&gt; t.material=m\n\
</pre></div><p>Once a material is created, you can set its properties. For example:</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-py\">&gt;&gt;&gt; m.diffuse = pymxs.runtime.color(10,10,10)\n\
&gt;&gt;&gt; m.specular = pymxs.runtime.color(255,255,255)\n\
</pre></div><p>For a complete example of creating and applying a material with pymxs, see <em><max_dir>\\scripts\\PythonSamples\\Python3\\pymxs\\materials.py</max_dir></em>.</p>\n\
<div class=\'section\'><a id=\"working-with-the-material-editor\"></a><h2 id=\"working-with-the-material-editor\">Working with the Material Editor</h2></div>\n\
<p>There are several interfaces that expose features in the legacy/compact editor and the Slate Material Editor. The <span class=\'code\'>MatEditor</span> interface provides general methods for getting and setting the editor mode, and opening and closing the editor window, and works with both the compact editor and the Slate Material Editor. The <span class=\'code\'>SME</span> interface has methods for working with the Slate Material Editor, while the <span class=\'code\'>medit</span> interface works on the compact/legacy editor.</p>\n\
<p>For example, to set the first slot in the compact material editor to a new Physical Material, and then open it:</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-py\">&gt;&gt;&gt; pymxs.runtime.MatEditor.mode = pymxs.runtime.name(&#39;basic&#39;)\n\
&gt;&gt;&gt; mat = pymxs.runtime.PhysicalMaterial()\n\
&gt;&gt;&gt; pymxs.runtime.setMeditMaterial(1, mat)\n\
&gt;&gt;&gt; pymxs.runtime.MatEditor.open()\n\
True\n\
</pre></div><p>Note that the first index for the material editor is 1 (not 0) because the method arguments get passed to MAXScript. If you are accessing the array of materials directly through pymxs, it is 0-based:</p>\n\
<div class=\'codeBlock\'><pre class=\"prettyprint lang-py\">&gt;&gt;&gt; pymxs.runtime.meditMaterials[0]\n\
&lt;PhysicalMaterial&lt;PhysicalMaterial:Physical_Material&gt;&gt;\n\
<!--\n\
The *\\\\<max_dir>\\\\scripts\\\\Python\\\\demoMaterials.py* sample illustrates creating an instance of every avaiable material, applying it to an object, and adding it to the compact Material Editor.\n\
-->\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";