var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Using Unicode in Python 2</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Using Unicode in Python 2</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"using-unicode-in-python-2\"></a></div>\n\
<p>In Python 3.x, the default encoding is Unicode. In Python 2.x, however, the default encoding is ASCII. ASCII encoding cannot always represent non-English languages (for example, accents in French, or Asian characters), or arbitrary text input (for example, music notes).</p>\n\
<p>The Unicode encoding method assigns a unique number to represent each character of every language. It can be implemented by different character encodings, the more commonly used being UTF-8 and UTF-16. UTF-8 uses one byte for any ASCII character (ASCII characters have the same value in both UTF-8 and ASCII encoding), and up to four bytes for other characters. UTF-16 uses 4 8-bit bytes for other characters.</p>\n\
<div class=\'section\'><a id=\"unicode-literal\"></a><h2 id=\"unicode-literal\">Unicode literal</h2></div>\n\
<p>You can create a Unicode literal as a string prefixed with a &#39;u&#39; or &#39;U&#39; character, for example: <span class=\'code\'>u&#39;abcdefj&#39;</span>.</p>\n\
<div class=\'section\'><a id=\"type\"></a><h2 id=\"type\">Type</h2></div>\n\
<p>ASCII strings are of <span class=\'code\'>type &#39;str&#39;</span>, while Unicode strings are of <span class=\'code\'>type &#39;unicode&#39;</span>.</p>\n\
<div class=\'section\'><a id=\"using-unicode-file-names-with-the-3ds-max-python-api\"></a><h2 id=\"using-unicode-file-names-with-the-3ds-max-python-api\">Using Unicode file names with the 3ds Max Python API</h2></div>\n\
<p>If you have a Unicode file path and/or Unicode file name, you must first change these strings to Unicode strings using the <span class=\'code\'>unicode()</span> constructor; or, prefix it with &#39;u&#39; or &#39;U&#39;, such as:</p>\n\
<p><span class=\'code\'>unicode(&#39;abcdef&#39;)</span></p>\n\
<p><span class=\'code\'>u&#39;abcdef&#39;</span></p>\n\
<div class=\'section\'><a id=\"reading-or-writing-a-unicode-file\"></a><h2 id=\"reading-or-writing-a-unicode-file\">Reading or writing a Unicode file</h2></div>\n\
<p>Use <span class=\'code\'>codecs.open</span> to read/write a Unicode file. For example:</p>\n\
<div class=\'codeBlock\'><pre>codecs.open(fname, encoding=&#39;utf-8&#39;, mode=&#39;w+&#39;)\n\
</pre></div><p>In the above example, a file with the name <em>fname</em> is created and opened in write mode, and its encoding is set to UTF-8 in order to handle Unicode characters.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";