var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>What&#39;s New in 3ds Max Python</title>\n\
   <meta name=\"topic-subtype\" content=\"Python\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>What&#39;s New in 3ds Max Python</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"whats-new-in-3ds-max-python\"></a></div>\n\
<p>This topic provides an overview of new features, changes, Python and PySide versions over the recent releases of 3ds Max.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">3ds Max</th>\n\
<th align=\"left\">Python</th>\n\
<th align=\"left\">PySide</th>\n\
<th align=\"left\">pymxs API</th>\n\
<th align=\"left\">MaxPlus API</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">2022</td>\n\
<td align=\"left\">Version: 3.7.9. <br>2.7 is no longer available.</td>\n\
<td align=\"left\">5.15.1</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">MaxPlus is no longer available. <strong>pymxs</strong> is the supported API for integrating with 3ds Max.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">2021.3 Update</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">Updated <a href=\'#!/url=./developer/using_pymxs/pymxs_renderer.html\' title=\'\'>Working with the Renderer</a> topic with more examples.</td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">2021.2 Update</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">New <a href=\'#!/url=./developer/tutorials.html\' title=\'\'>tutorials</a> have been added to the help <br>New topic on <a href=\'#!/url=./developer/using_pymxs/pymxs_custattributes.html\' title=\'\'>defining custom attributes in pymxs</a></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">2021.1 Update</td>\n\
<td align=\"left\">Versions: 3.7.6, 2.7.17 <br>Python 3 is now the full distribution(not the embedded version), meaning all standard modules are available (including <span class=\'code\'>venv</span> and <span class=\'code\'>ensurepip</span>)</td>\n\
<td align=\"left\">Version: 5.12.5</td>\n\
<td align=\"left\">The <a href=\'#!/url=./developer/using_pymxs/pymxs_differences/pymxs_controllers.html\' title=\'\'>Accessing Object Properties and Controllers</a> topic has been improved.</td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">2021</td>\n\
<td align=\"left\"><strong>New</strong>: Python 3, see <a href=\'#!/url=./developer/python_3_support.html\' title=\'\'>Python 3 Support</a><br>Versions: 3.7.6, 2.7.17</td>\n\
<td align=\"left\">Version: 5.12.5 <br>New <span class=\'code\'>qtmax</span> module contains helper functions for working with Qt/PySide in 3ds Max Python. See <a href=\'#!/url=./developer/qtmax_module.html\' title=\'\'>The <span class=\'code\'>qtmax</span> Module</a> <br>Scripts run from the MAXScript Editor now have access to the <span class=\'code\'>__file__</span> constant.</td>\n\
<td align=\"left\">Samples have been re-organized and improved for Python 2 and 3. They are now located under <span class=\'code\'>[3ds Max Install]\\scripts\\PythonSamples\\</span>. <br>A MAXScript variable can be created and MAXScript arrays and dictionaries can be manipulated directly without having to use <span class=\'code\'>pymxs.runtime.execute()</span>. <br>The new <span class=\'code\'>pymxs.byref()</span> improves by-reference parameter handling. See <a href=\'#!/url=./developer/using_pymxs/pymxs_differences/pymxs_by_ref_parameters.html\' title=\'\'>By-Reference Parameter Handling in pymxs</a> <br>The callbacks.addScript() method can now take a Python function as an argument. See <a href=\'#!/url=./developer/using_pymxs/pymxs_differences/pymxs_registering_callbacks.html\' title=\'\'>Registering Python Callbacks</a></td>\n\
<td align=\"left\">MaxPlus is not supported under Python 3</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">2020.3 Update</td>\n\
<td align=\"left\">Version: 2.7.15<br>Fixed issues with calling Python APIs from Maxscript caused by differences in case sensitivity between MAXScript and Python.</td>\n\
<td align=\"left\">Version: 5.12.4</td>\n\
<td align=\"left\"><span class=\'code\'>pymxs</span> documentation improvements. See <a href=\'#!/url=./developer/using_pymxs.html\' title=\'\'>Using pymxs</a></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">2020.2 Update</td>\n\
<td align=\"left\">Version: 2.7.15<br>Python 3 Warning Mode. See <a href=\'#!/url=./developer/python_3_warning_mode.html\' title=\'\'>Python 3 Warning Mode</a></td>\n\
<td align=\"left\">Version: 5.11.2</td>\n\
<td align=\"left\">Improved pymxs performance when accessing scene object attributes</td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">2020</td>\n\
<td align=\"left\">Version: 2.7.15</td>\n\
<td align=\"left\">Version: 5.11.2</td>\n\
<td align=\"left\">All MAXScript APIs now accept floating point values when called from Python through pymxs</td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">2019.2 Update</td>\n\
<td align=\"left\">Version: 2.7.12</td>\n\
<td align=\"left\">Version: 5.6.3</td>\n\
<td align=\"left\">Improved pymxs performance when comparing scene nodes</td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">2019.1 Update</td>\n\
<td align=\"left\">Version: 2.7.12</td>\n\
<td align=\"left\">Version: 5.6.3</td>\n\
<td align=\"left\">Improved pymxs performance when casting MAXScript object sets to Python lists. <br>Some MAXScript objects, such as scene nodes, can now be used as Python dictionary keys. See <a href=\'#!/url=./developer/using_pymxs/pymxs_values.html\' title=\'\'>MAXScript Values in pymxs</a></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">2019</td>\n\
<td align=\"left\">Version: 2.7.12</td>\n\
<td align=\"left\">Version: 5.6.3</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">2018.4 Update</td>\n\
<td align=\"left\">Version: 2.7.12</td>\n\
<td align=\"left\">Version: PySide2 - 5.6.2</td>\n\
<td align=\"left\">Added support for passing Python lists as references to MAXScript functions. See <span class=\'code\'>pymxs.mxsreference()</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">2018</td>\n\
<td align=\"left\">Version: 2.7.12</td>\n\
<td align=\"left\">Version: PySide2 - 5.6.2</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"><span class=\'code\'>MakeQWidgetDockable()</span> removed, replaced by the standard PySide approach<br> <span class=\'code\'>GetQMaxWindow()</span> replaced by <span class=\'code\'>GetQMaxMainWindow()</span>. <span class=\'code\'>GetQMaxWindowWinId()</span> is also removed<br><span class=\'code\'>MaxPlus::CUIFrame.Create()</span> no longer works. Use <span class=\'code\'>PySide2</span> to create windows and dialogs.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">2017</td>\n\
<td align=\"left\">Version: 2.7.6</td>\n\
<td align=\"left\">Version: 1.2.2, <span class=\'code\'>pysideuic</span> pre-installed</td>\n\
<td align=\"left\">pymxs API introduced. See <a href=\'#!/url=./developer/using_pymxs.html\' title=\'\'>Using pymxs</a></td>\n\
<td align=\"left\">AppData Chunk API exposed in MaxPlus. See the <em>demoAppChunk.py</em> sample script<br>Quad Poly API exposed in MaxPlus. See the <em>demoPolyObject.py</em> sample script <br><span class=\'code\'>SplineShape.UpdateShape()</span> is added to update a spline in the 3ds Max scene.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">2016 Service Pack 1</td>\n\
<td align=\"left\">Version: 2.7.3</td>\n\
<td align=\"left\">Version: 1.2</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">New: <span class=\'code\'>MaxPlus.AttachQWidgetToMax()</span></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">2015</td>\n\
<td align=\"left\">Version: 2.7.3</td>\n\
<td align=\"left\">Version: 1.2</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"><span class=\'code\'>GraphicsWindow</span> class is removed, use the <span class=\'code\'>Viewport.GetDIB()</span> method to obtain your active viewport graphics window as a bitmap. See <a href=\'#!/url=./developer/using_maxplus/rendering/saving_the_active_viewport_graph.html\' title=\'\'>Saving the active viewport graphics window as a bitmap</a> for more information.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">2014 Extension 1</td>\n\
<td align=\"left\">Version: 2.7.3</td>\n\
<td align=\"left\">Version: 1.2</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">MaxPlus API introduced. See <a href=\'#!/url=./developer/using_maxplus.html\' title=\'\'>Using MaxPlus Python</a></td>\n\
</tr>\n\
</table>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";